Update ATS Candidate

Updates an existing candidate record in the ATS. All fields are optional — only the provided fields are updated. Use origin_source_slug to set or correct the candidate source (e.g. sourced_internally).

Token scopes: ats:write, worker:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

candidate_idstringRequiredformat: "uuid"
Unique identifier of the candidate to update

Request

This endpoint expects an object.
dataobjectRequired

Response

Successful response with the updated candidate data
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error